rm ./*.time
PFX=FORK
rm LR-$PFX.inp.proofs.statistics
echo "overlaps" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx overlap  examples/calculi/LR/LR-$PFX.inp > out/LR/LR-$PFX.overlaps
echo "diagrams" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx join bound=10 proofs  examples/calculi/LR/LR-$PFX.inp > out/LR/LR-$PFX.inp.proofs +RTS -N -sLR-$PFX.inp.proofs.statistics
dist/build/lrsx/lrsx convert proofs long out/LR/LR-$PFX.inp.proofs > out/LR/LR-$PFX.long
dist/build/lrsx/lrsx convert proofs short unions-from= out/LR/LR-$PFX.inp.proofs > out/LR/LR-$PFX.short
echo "induct-trs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long  atp-path=extra/aprove/ unions-from=examples/calculi/LR/LR-MoreUnions.inp  output-to=out/LR/trs out/LR/LR-$PFX.long > out/LR/LR-$PFX.inp.terminaton_proof_trs
echo "induct-itrs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long use-itrs atp-path=extra/aprove/ unions-from=examples/calculi/LR/LR-MoreUnions.inp  output-to=out/LR/itrs out/LR/LR_$PFX.long > out/LR/LR-$PFX.inp.terminaton_proof_itrs

PFX=COMMUTE
rm LR-$PFX.inp.proofs.statistics
echo "overlaps" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx overlap  examples/calculi/LR/LR-$PFX.inp > out/LR/LR-$PFX.overlaps
echo "diagrams" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx join bound=10 proofs  examples/calculi/LR/LR-$PFX.inp > out/LR/LR-$PFX.inp.proofs +RTS -N -sLR-$PFX.inp.proofs.statistics
dist/build/lrsx/lrsx convert proofs long out/LR/LR-$PFX.inp.proofs > out/LR/LR-$PFX.long
dist/build/lrsx/lrsx convert proofs short out/LR/LR-$PFX.inp.proofs > out/LR/LR-$PFX.short
echo "induct-trs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long  atp-path=extra/aprove/ unions-from=examples/calculi/LR/LR-MoreUnions.inp  output-to=out/LR/trs out/LR/LR-$PFX.long  > out/LR/LR-$PFX.inp.terminaton_proof_trs
echo "induct-itrs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long use-itrs atp-path=extra/aprove/ unions-from=examples/calculi/LR/LR-MoreUnions.inp  output-to=out/LR/itrs out/LR/LR-$PFX.long > out/LR/LR-$PFX.inp.terminaton_proof_itrs
