rm ./*.time
PFX=commute
rm lneed_$PFX.inp.proofs.statistics
echo "overlaps" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx overlap  examples/calculi/lneed/lneed_$PFX.inp > out/lneed/lneed_$PFX.overlaps
echo "diagrams" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx join bound=10 proofs  examples/calculi/lneed/lneed_$PFX.inp > out/lneed/lneed_$PFX.inp.proofs +RTS -N -slneed_$PFX.inp.proofs.statistics
dist/build/lrsx/lrsx convert proofs long out/lneed/lneed_$PFX.inp.proofs > out/lneed/lneed_$PFX.long
dist/build/lrsx/lrsx convert proofs short out/lneed/lneed_$PFX.inp.proofs > out/lneed/lneed_$PFX.short
echo "induct-trs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long  atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneed/trs out/lneed/lneed_$PFX.long > out/lneed/lneed_$PFX.inp.terminaton_proof_trs
echo "induct-itrs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long use-itrs atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneed/trs out/lneed/lneed_$PFX.long > out/lneed/lneed_$PFX.inp.terminaton_proof_itrs

PFX=fork
rm lneed_$PFX.inp.proofs.statistics
echo "overlaps" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx overlap  examples/calculi/lneed/lneed_$PFX.inp > out/lneed/lneed_$PFX.overlaps
echo "diagrams" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx join bound=10 proofs  examples/calculi/lneed/lneed_$PFX.inp > out/lneed/lneed_$PFX.inp.proofs +RTS -N -slneed_$PFX.inp.proofs.statistics
dist/build/lrsx/lrsx convert proofs long out/lneed/lneed_$PFX.inp.proofs > out/lneed/lneed_$PFX.long
dist/build/lrsx/lrsx convert proofs short out/lneed/lneed_$PFX.inp.proofs > out/lneed/lneed_$PFX.short
echo "induct-trs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long  atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneed/trs out/lneed/lneed_$PFX.long  > out/lneed/lneed_$PFX.inp.terminaton_proof_trs
echo "induct-itrs" >> $PFX.time
/usr/bin/time -p -a -o$PFX.time dist/build/lrsx/lrsx induct long use-itrs atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneed/trs out/lneed/lneed_$PFX.long > out/lneed/lneed_$PFX.inp.terminaton_proof_itrs
