# rm ./*.time
PFX=commute
rm lneedseq_$PFX.inp.proofs.statistics
echo "overlaps" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx overlap  examples/calculi/lneedseq/lneed_$PFX.inp > out/lneedseq/lneed_$PFX.overlaps
echo "diagrams" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx join bound=10 proofs  examples/calculi/lneedseq/lneed_$PFX.inp > out/lneedseq/lneed_$PFX.inp.proofs +RTS -N -slneedseq_$PFX.inp.proofs.statistics
dist/build/lrsx/lrsx convert proofs long out/lneedseq/lneed_$PFX.inp.proofs > out/lneedseq/lneed_$PFX.long
dist/build/lrsx/lrsx convert proofs short out/lneedseq/lneed_$PFX.inp.proofs > out/lneedseq/lneed_$PFX.short
echo "induct-trs" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx induct long  atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneedseq/trs out/lneedseq/lneed_$PFX.long > out/lneedseq/lneed_$PFX.inp.terminaton_proof_trs
echo "induct-itrs" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx induct long use-itrs atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneedseq/itrs out/lneedseq/lneed_$PFX.long > out/lneedseq/lneed_$PFX.inp.terminaton_proof_itrs

PFX=fork
rm lneedseq_$PFX.inp.proofs.statistics
echo "overlaps" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx overlap  examples/calculi/lneedseq/lneed_$PFX.inp > out/lneedseq/lneed_$PFX.overlaps
echo "diagrams" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx join bound=10 proofs  examples/calculi/lneedseq/lneed_$PFX.inp > out/lneedseq/lneed_$PFX.inp.proofs +RTS -N -slneedseq_$PFX.inp.proofs.statistics
dist/build/lrsx/lrsx convert proofs long out/lneedseq/lneed_$PFX.inp.proofs > out/lneedseq/lneed_$PFX.long
dist/build/lrsx/lrsx convert proofs short out/lneedseq/lneed_$PFX.inp.proofs > out/lneedseq/lneed_$PFX.short
echo "induct-trs" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx induct long  atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneedseq/trs out/lneedseq/lneed_$PFX.long  > out/lneedseq/lneed_$PFX.inp.terminaton_proof_trs
echo "induct-itrs" >> lneedseq.$PFX.time
/usr/bin/time -p -a -olneedseq.$PFX.time dist/build/lrsx/lrsx induct long use-itrs atp-path=extra/aprove/ unions-from=examples/calculi/lneed/lneed_more_unions.inp  output-to=out/lneedseq/itrs out/lneedseq/lneed_$PFX.long > out/lneedseq/lneed_$PFX.inp.terminaton_proof_itrs
